> For the complete documentation index, see [llms.txt](https://docs.blockrazor.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockrazor.io/tc/transaction-submission/fast/solana/send-transaction.md).

# Send Transaction

{% hint style="warning" %}
Solana發送交易的服務不和訂閱計劃綁定，可前往 [Authentication](/tc/get-started/authentication.md) 獲取API KEY，默认限流为3 TPS。如需提升限流標準，請[聯繫](https://discord.com/invite/qqJuwRb8Nh)我們，我們會在第一時間處理
{% endhint %}

`Send Transaction` 是 BlockRazor 為 Solana 提供的快速交易發送接口，用於將已簽名交易以更低延遲發送到鏈上。該服務基於 HTTP 和 gRPC 提供接入方式，適合對交易上鏈速度有較高要求的用戶。

`Send Transaction` 在兼容現有發送方式的前提下，通過 BlockRazor 的 [BEF](/tc/he-xin-ji-shu/blockchain-edge-fabric.md)，縮短交易從客戶端到 Leader 節點之間的路徑，提升交易上鏈速度。 `Send Transaction` 的上鏈路徑、測試說明和benchamark結果可參考 [構建極速 Solana 交易發送服務](https://blockrazor.io/zh/blog/20250801Benchmarking/)

目前，Send Transaction 支持 fast 和 sandwichMitigation 兩種模式：

* fast 模式適合對發送速度要求更高的場景
* sandwichMitigation 模式適合希望在速度和特定風險控制之間做平衡的場景

### 端點

* `POST /sendTransaction`&#x20;
* `gRPC`&#x20;

### 交易請求示例

* [Curl](/tc/transaction-submission/fast/solana/send-transaction/qing-qiu-shi-li/curl.md)
* [Go](/tc/transaction-submission/fast/solana/send-transaction/qing-qiu-shi-li/go.md)
* [Rust](/tc/transaction-submission/fast/solana/send-transaction/qing-qiu-shi-li/rust.md)
* [JS](/tc/transaction-submission/fast/solana/send-transaction/qing-qiu-shi-li/js.md)

### 请求参数

<table><thead><tr><th width="103.18359375">字段</th><th width="77.1875">必填</th><th width="125.62890625">示例</th><th>備注</th></tr></thead><tbody><tr><td>transaction</td><td>是</td><td>"4hXTCk……tAnaAT"</td><td>已完成簽名的交易，兼容Base64和Base58的編碼格式，建議用Base64</td></tr><tr><td>mode</td><td>否</td><td>"fast"<br>"sandwichMitigation"</td><td>BlockRazor支持fast和sandwichMitigation兩種模式，默認為fast模式。<br><br>在fast模式中，交易會基於全球分布式高性能網絡和高質量SWQoS質押鏈路被飽和式發送，以最低延遲到達Leader節點。<br><br>在sandwichMitigation模式中，交易會被發往BlockRazor高度信任的SWQoS質押鏈路，同時交易會跳過黑名單Leader(經BlockRazor三明治監測機制動態精確識別)的slot。在此模式下，<strong>請不要用</strong>durable nonce發送交易，這會使三明治保護失效。</td></tr><tr><td>safeWindow</td><td>否</td><td>3</td><td>sandwichMitigation模式中用於確定交易發送時機的參數，數字代表從當前slot起連續白名單驗證者的slot數量，比如設定3，則交易會僅在當前起連續3個slot都屬於白名單驗證者時發送。<br><br>safeWindow的參數範圍是3-13，數字越大防治三明治攻擊效果越好，但可能會對上鏈速度有一定影響。如不設定，則默認為3。</td></tr><tr><td>revertProtection</td><td>否</td><td>false</td><td>默認為false。如設置為true，交易不會在鏈上執行失敗，但上鏈速度会受到影响且存在无法上链的可能，請根據實際需求謹慎選擇開啓。</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.blockrazor.io/tc/transaction-submission/fast/solana/send-transaction.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
